Application: gvSIG desktop - gvSIG bugs #4231
Mal funcionamiento de conversion a y de WKT de geometrias 3DM
06/16/2016 09:21 AM - Daniel Martinez
Target version: 2.3.0-2437

Severity: Minor Add-on version:
Has patch: Hito:
Description

Generando una nueva capa de puntos 3DM, afadiendo un punto y realizando un info-by-point de el se obtiene el siguiente resultado
de informacién de la geometria:

POINT (11.92887931034483 64.39655172413794 0.0 0.0 )

Si a este resultado se le aplica sucesivamente "Mostrar geometria en WKT" el resultado va cambiando sucesivamente de la siguiente
manera:
11.92887931034483 64.39655172413794 0)
11.92887931034483 64.39655172413794 )
Para una capa de poligonos 3DM se produce algo parecido. La secuencia de cambios al aplicar sucesivamente el "Mostrar geometria
en WKT" es la siguiente:

org.gvsig.fmap.geom.jts.primitive.surface.polygon.Polygon3DM@7bf8895f

POLYGON ((6.885775862068968 77.58620689655173 0, 7.273706896551728 77.58620689655173 0, 21.821120689655174
79.33189655172414 0, 26.67025862068966 75.64655172413794 0, 14.062500000000004 67.69396551724138 O,
6.885775862068968 77.58620689655173 0))

org.gvsig.fmap.geom.jts.primitive.surface.polygon.Polygon2D@59662622

POLYGON ((6.885775862068968 77.58620689655173, 7.273706896551728 77.58620689655173, 21.82112068965517

79.33189655172414, 26.67025862068966 75.64655172413794, 14.062500000000004 67.69396551724138, 6.885775862068968
77.58620689655173))

org.gvsig.fmap.geom.jts.primitive.surface.polygon.Polygon2D@70c8a5¢e9
POLYGON ((6.885775862068968 77.58620689655173, 7.273706896551728 77.58620689655173, 21.82112068965517

79.33189655172414, 26.67025862068966 75.64655172413794, 14.062500000000004 67.69396551724138, 6.885775862068968
77.58620689655173))
Associated revisions

Revision 42875 - 07/07/2016 01:58 PM - Francisco Diaz Carsi

refs #4231 Added parser and writer EWKT to allow more than 2 dimensional coordinates geometries.

Fixed some problems in geometries.

Revision 42876 - 07/07/2016 02:00 PM - Francisco Diaz Carsi

refs #4231 Fixed readers and writers for 2DM & 3D Shape files.

History

#1 - 07/01/2016 01:00 PM - Daniel Martinez
- Assignee set to Francisco Diaz Carsi

#2 - 07/05/2016 02:23 PM - Francisco Diaz Carsi

- Related to gvSIG bugs #4232: La edicion de la geometria en la edicion de la tabla y editor de atributos no es correcta added
#3 - 07/07/2016 02:07 PM - Francisco Diaz Carsi
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2437

- Status changed from New to Fixed

#4 - 07/25/2016 11:42 AM - Alvaro Anguix
- Status changed from Fixed to Closed
